NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Die.HandlingCoreChildBuilder Class Reference

Represents a Die Handling Core Child sub feature. More...

Inheritance diagram for NXOpen.Die.HandlingCoreChildBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void TranslateCenter (NXOpen.Vector3d translateDist)
 Translates the center of the die handling core by the specified amount. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Die.DieBuildStatusOption 
BuildStatus [get]
 Returns the build status of the handling core. More...
 
unsafe NXOpen.ILocation Center [get, set]
 Returns or sets the center of the handling core. More...
 
unsafe double Clearance [get, set]
 Returns or sets the clearance of the handling core. More...
 
unsafe NXOpen.ISurface CoreOrientation [get, set]
 Returns or sets the core orientation of the handling core. More...
 
unsafe double Depth [get, set]
 Returns or sets the depth of the handling core. More...
 
unsafe bool DesignStatus [get, set]
 Returns or sets the design status of the handling core, if true the handling core will be built into the model, if false it will not. More...
 
unsafe bool DisplayStatus [get, set]
 Returns or sets the display status of the handling core, if true input data to the handling core will be displayed, if false the input data will not be displayed. More...
 
unsafe double Height [get, set]
 Returns or sets the height of the handling core. More...
 
unsafe bool ReverseOrientation [get, set]
 Returns or sets the value to reverse the orientation of the core plane, if true the handling core orientation normal will be reversed, if false it will not. More...
 
unsafe double Width [get, set]
 Returns or sets the width of the handling core. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Die Handling Core Child sub feature.

This sub feature is created via the main feature builder.

Created in NX4.0.0

Member Function Documentation

unsafe void NXOpen.Die.HandlingCoreChildBuilder.TranslateCenter ( NXOpen.Vector3d  translateDist)
inline

Translates the center of the die handling core by the specified amount.

Created in NX5.0.0

License requirements: ug_die_design ("Die Design")

Parameters
translateDistA scaled vector indicating the distance to translate

Property Documentation

unsafe NXOpen.Die.DieBuildStatusOption NXOpen.Die.HandlingCoreChildBuilder.BuildStatus
get

Returns the build status of the handling core.

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

unsafe NXOpen.ILocation NXOpen.Die.HandlingCoreChildBuilder.Center
getset

Returns or sets the center of the handling core.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe double NXOpen.Die.HandlingCoreChildBuilder.Clearance
getset

Returns or sets the clearance of the handling core.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.ISurface NXOpen.Die.HandlingCoreChildBuilder.CoreOrientation
getset

Returns or sets the core orientation of the handling core.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe double NXOpen.Die.HandlingCoreChildBuilder.Depth
getset

Returns or sets the depth of the handling core.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe bool NXOpen.Die.HandlingCoreChildBuilder.DesignStatus
getset

Returns or sets the design status of the handling core, if true the handling core will be built into the model, if false it will not.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe bool NXOpen.Die.HandlingCoreChildBuilder.DisplayStatus
getset

Returns or sets the display status of the handling core, if true input data to the handling core will be displayed, if false the input data will not be displayed.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe double NXOpen.Die.HandlingCoreChildBuilder.Height
getset

Returns or sets the height of the handling core.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe bool NXOpen.Die.HandlingCoreChildBuilder.ReverseOrientation
getset

Returns or sets the value to reverse the orientation of the core plane, if true the handling core orientation normal will be reversed, if false it will not.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe double NXOpen.Die.HandlingCoreChildBuilder.Width
getset

Returns or sets the width of the handling core.

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.